petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPChebyshevEstEigSetRandom

set random context for estimating eigenvalues

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPChebyshevEstEigSetRandom(KSP ksp,PetscRandom random)

Logically Collective

### Input Arguments

| ksp | - linear solver context
| random | - random number context or NULL to disable randomized RHS

### Options Database

-ksp_chebyshev_esteig_random -

### See Also

KSPChebyshevEstEigSet(), PetscRandomCreate()

Level:intermediate
Location:src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages